Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79146 - query-source not honoured.
Summary: query-source not honoured.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bind
Version: 7.3
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-06 10:46 UTC by Emmanuel Galanos
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version: bind-9.2.4rc6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-08-12 20:46:33 UTC


Attachments (Terms of Use)

Description Emmanuel Galanos 2002-12-06 10:46:46 UTC
Description of Problem:
The query-source option is not used by bind.

Version-Release number of selected component (if applicable):
bind-9.2.1-1.7x.2 

How Reproducible:
100%

Steps to Reproduce:
1. Setup multiple interfaces on a machine.
2. Add:
query-source address IP_ADDRESS_OF_NON_PRIMARY_IP;
3. Restart bind

Actual Results:
DNS queries go out with default source IP address.

Expected Results:
For source address to be as specified (worked in Bind 8.x)

Comment 1 Daniel Walsh 2003-01-06 22:34:22 UTC
Are you seeing any messages in  /var/log/messages?

Dan

Comment 2 Emmanuel Galanos 2003-01-07 01:01:31 UTC
No messages. Just doesn't work and tcpdump shows packets going out with wrong
IP address.

Comment 3 Daniel Walsh 2004-04-29 02:09:13 UTC
Are you seeing this with a current version?

IE RHEL 2.1, RH9, FC1/2 or RHEL 3.0

Comment 4 Jason Vas Dias 2004-08-12 20:46:33 UTC
 In bind-9.2.4rc6 , for FC3 / FC2-update, the query-source
 option IS honoured and works fine.


Note You need to log in before you can comment on or make changes to this bug.